> For the complete documentation index, see [llms.txt](https://docs.rasgoml.com/rasgo-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/new_columns.md).

# New Columns

## Build new columns, using SQL formulas.

### Required Inputs

* Calculated Column: the formula for the new column you want to build

### Optional Inputs

* Alias: name for your columns

### Notes

* Supports any SQL column functions that are compatible with your data warehouse

## Parameters

| Name                | Type                     | Description                                  | Is Optional |
| ------------------- | ------------------------ | -------------------------------------------- | ----------- |
| calculated\_columns | calculated\_column\_list | List of SQL formulas to generate new columns |             |

## Example

```python
ds2 = ds.new_columns(
    calculated_columns={
          calcuated_column: 'POWER(COLUMN_NAME, 3)',
          alias: 'COLUMN_NAME_Cubed'
        }
    )
ds2.preview()
```

## Source Code

{% embed url="<https://github.com/rasgointelligence/RasgoTransforms/blob/main/rasgotransforms/rasgotransforms/transforms/new_columns/new_columns.sql>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/new_columns.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
